export default class AuthorizationError extends Error {
  public status: number;

  constructor(message: string, cause?: string, status?: number) {
    super();
    this.name = "AuthorizationError";
    this.status = status ?? 401;
    this.message = message;
    this.cause = cause;
  }
}
